# rtp.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Classes

class | RTP_QOS
class | RTP_DataFrame
class | RTP_ControlFrame
struct | RTP_ControlFrame::ReceiverReport
struct | RTP_ControlFrame::SenderReport
struct | RTP_ControlFrame::SourceDescription
struct | RTP_ControlFrame::SourceDescription::Item
class | RTP_UserData
class | RTP_Session
struct | RTP_Session::Params
class | RTP_Session::ReceiverReport
class | RTP_Session::SenderReport
class | RTP_Session::SourceDescription
class | RTP_Session::EncodingLock
class | RTP_UDP
class | RTP_Encoding
class | SecureRTP_UDP

## Typedefs

typedef void * | PHandleAggregator
typedef void * | RTP_AggregatedHandle

## Functions

| PLIST (RTP_DataFrameList, RTP_DataFrame)

## Typedef Documentation

typedef void* PHandleAggregator

typedef void* RTP_AggregatedHandle

## Function Documentation

PLIST | ( | RTP_DataFrameList | ,
|  | RTP_DataFrame |  |
| ) |  |  |